package com.cool.store.service.login;

import com.cool.store.dto.login.UserLoginDTO;
import com.cool.store.dto.login.UserRefreshLoginDTO;
import com.cool.store.response.ResponseResult;

/**
 * <p>
 * 登录策略
 * </p>
 *
 * @author wangff
 * @since 2025/9/3
 */
public interface LoginStrategy {
    /**
     * 登录基础方法
     */
    ResponseResult login(UserLoginDTO param);

    /**
     * refreshToken登录
     */
    ResponseResult refreshLogin(UserRefreshLoginDTO param);

    /**
     * 登出
     */
    ResponseResult logout();
}
